﻿/*
 * Copyright 2016-2017 Mohawk College of Applied Arts and Technology
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 * User: khannan
 * Date: 2017-7-10
 */

namespace OpenIZAdmin.Core
{
	/// <summary>
	/// Represents constants for the application.
	/// </summary>
	public static class Constants
	{
		/// <summary>
		/// The imported data tag.
		/// </summary>
		public const string ImportedDataTag = "http://openiz.org/tags/contrib/importedData";

		/// <summary>
		/// Granted policy claim
		/// </summary>
		public const string OpenIzGrantedPolicyClaim = "http://openiz.org/claims/grant";

		/// <summary>
		/// The system user identifier.
		/// </summary>
		public const string SystemUserId = "fadca076-3690-4a6e-af9e-f1cd68e8c7e8";

		/// <summary>
		/// The target expand property key.
		/// </summary>
		public const string Target = "target";
	}
}